> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify medicare card

> Verify a Medicare card details. Card details will not be saved for future use.



## OpenAPI

````yaml https://api.halth.com/v1/au/api-yaml post /v1/au/medicare/verifications
openapi: 3.0.0
info:
  title: GovAU Connect Service
  description: HaltH connector for Australian Government services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security:
  - apiKey: []
tags: []
paths:
  /v1/au/medicare/verifications:
    post:
      tags:
        - Medicare Verification
      summary: Verify medicare card
      description: >-
        Verify a Medicare card details. Card details will not be saved for
        future use.
      operationId: MedicareVerificationController_verify
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MedicareVerificationCreateParams'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MedicareVerification'
components:
  schemas:
    MedicareVerificationCreateParams:
      type: object
      properties:
        locationId:
          type: string
          example: prlo_39SaCy77MShwXBMzwFVSMHOtXdq
          description: >-
            Location ID to use when submitting the verification request. When
            omitted, the software vendor location ID will be used.
        memberNumber:
          type: string
          minLength: 10
          maxLength: 10
          description: Member number
          example: '3951330061'
        referenceNumber:
          type: string
          pattern: /^[1-9]$/
          description: Individual reference number / position on card
          example: '1'
        firstName:
          type: string
          minLength: 1
          maxLength: 40
          description: First name
          example: Brant
        lastName:
          type: string
          minLength: 1
          maxLength: 40
          description: Last name
          example: Haywood
        dateOfBirth:
          type: string
          example: '1975-04-03'
          description: Date of birth in format yyyy-mm-dd
        secondInitial:
          type: string
          minLength: 1
          maxLength: 1
          example: B
          description: Second initial
        sex:
          type: string
          enum:
            - M
            - F
            - U
          example: M
          description: Sex
        effectiveDate:
          format: date-time
          type: string
          description: >-
            Effective date of the verification. Default to current date. Cannot
            be in the future or more than 2 years ago.
      required:
        - memberNumber
        - referenceNumber
        - lastName
        - dateOfBirth
    MedicareVerification:
      type: object
      properties:
        id:
          type: string
          example: mdvf_1234567890
          description: ID of the verification
        status:
          enum:
            - matched
            - partial_match
            - no_match
            - failed
          type: string
          example: matched
          description: Status of the patient verification
        message:
          type: string
          example: Patient is eligible to claim for Medicare with details provided.
          description: Message of the patient verification
        adviceCode:
          enum:
            - check_date_of_birth
            - check_first_name
            - check_last_name
            - check_medicare_number
            - check_reference_number
            - check_patient_details
            - new_card_issued
            - cannot_confirm
          type: string
          example: check_date_of_birth
          description: Advice code of the patient verification
        medicareCardId:
          type: string
          example: mccd_1234567890
          description: ID of the Medicare card
        createdAt:
          format: date-time
          type: string
          example: '2025-01-01T00:00:00.000Z'
          description: Date and time of the verification
        effectiveDate:
          format: date-time
          type: string
          example: '2025-01-01'
          description: Effective date of the verification
      required:
        - id
        - status
        - createdAt
        - effectiveDate

````